resources

## Class TreatmentMistake

- java.lang.Object
- - resources.TreatmentMistake

-     public class TreatmentMistake
      extends java.lang.Object

  Version:
    1.0
  Author:
    Alan Mills

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreatmentMistake(AgentID pProblemPhysicianID, int pProblemCount)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getProblemCount()` Gets the problemCount attribute.
    `AgentID` | `getProblemPhysicianID()` Gets the problemPhysicianID attribute.
    `void` | `setProblemCount(int pProblemCount)` Sets the problemCount attribute.
    `void` | `setProblemPhysicianID(AgentID pProblemPhysicianID)` Sets the problemPhysicianID attribute.
    `java.lang.String` | `toString()` Returns the treatment mistake data as a string.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TreatmentMistake

          public TreatmentMistake(AgentID pProblemPhysicianID,
                          int pProblemCount)

      Parameters:
        `pProblemPhysicianID` -
        `pProblemCount` -

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns the treatment mistake data as a string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the treatment mistake data as a string

    - #### getProblemPhysicianID

          public AgentID getProblemPhysicianID()

      Gets the problemPhysicianID attribute.
      Returns:
        problemPhysicianID

    - #### setProblemPhysicianID

          public void setProblemPhysicianID(AgentID pProblemPhysicianID)

      Sets the problemPhysicianID attribute.
      Parameters:
        `pProblemPhysicianID` -

    - #### getProblemCount

          public int getProblemCount()

      Gets the problemCount attribute.
      Returns:
        problemCount

    - #### setProblemCount

          public void setProblemCount(int pProblemCount)

      Sets the problemCount attribute.
      Parameters:
        `pProblemCount` -